Members
GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Parameter query
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Payload respons
results
array of object
Tampilkan atribut turunan
results.id
string
wajib
results.type
string
wajib
Possible values: user
results.status
string
wajib
Possible values: active, invited, requested-to-join
results.createdAt
string
wajib
results.updatedAt
string
wajib
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Payload permintaan
type
string
wajib
Possible values: user
id
string
wajib
Payload respons
results
array of object
Tampilkan atribut turunan
results.id
string
wajib
results.type
string
wajib
Possible values: user
results.status
string
wajib
Possible values: active, invited, requested-to-join
results.createdAt
string
wajib
results.updatedAt
string
wajib
Contoh kode
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Payload respons
id
string
wajib
type
string
wajib
Possible values: user
status
string
wajib
Possible values: active, invited, requested-to-join
createdAt
string
wajib
updatedAt
string
wajib
Contoh kode
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Contoh kode
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'